clear all
 ...
global scalv_ ex_ ex_det_ recur_ recurs_ ys_ y_ exe_ exe_det_ lgy_ lgx_ lgr_ dsmpl_ endval_
 ...
global endo_nbr exo_nbr exo_det_nbr iy_  ykmin_  ykmax_  xkmin_  xkmax_ zkmin_ zkmax_ iter_
 ...
global dynatol_ slowc_ maxit_ valf_ ys0_ recurs0_ ex0_ timing_ ct_ gstep_ Sigma_e_ fname_ lgx_orig_ord_ iter_ options_ dr_ oo_ trend_coeff_ eigenvalues_
global M_
M_.ex_det_length = 0;
M_.dname = 'stickyopeninv2';
dsmpl_=0;
dynatol_=0.00001;
maxit_=10;
slowc_=1;
timing_=0;
ct_=0;
gstep_=1e-2;
endval_=0;rplottype_=0;
valf_=0;
y_=[];
ex_=[];
ex_det_=[];
fname_ = 'stickyopeninv2';
logname_ = 'stickyopeninv2.log';
diary off;
warning off;
delete stickyopeninv2.log;
warning on;
warning backtrace;
diary stickyopeninv2.log;
options_ = [];

















global beta_p chi_p le_p delta_p psik_p psii_p alpha_p s_p chi0_p rhon_p 
global rhom_p rho_shareg_p rs_dp_p rs_gdp_p omegac_p omegai_p rhoc nfa_p  ...
dw_p dp_p 
global sigma_p lambdac_p zetac_p wmarkup_p kappap_p kappam_p kappaw_p gdp_p ...
 shareg_p gc_p 
global xip_p xim_p xiw_p thetaw_p 




beta_p = 0.99;


chi_p = 10;


le_p = 0.5;


delta_p = 0.025;


alpha_p = 0.3;



xip_p = .75;


xim_p = .75;


xiw_p = .75;


shareg_p = 0.2;


sigma_p = 1;


thetaw_p = .10;


kappap_p = (1-beta_p*xip_p)*(1-xip_p)/xip_p;


kappam_p = (1-beta_p*xim_p)*(1-xim_p)/xim_p;


kappaw_p = (1-beta_p*xiw_p)*(1-xiw_p)/xiw_p /( 1 + chi_p*le_p/(1-le_p)*(1+thetaw_p)/thetaw_p )


dp_p = 1;


dw_p = 1;


rk_p = 1/beta_p -1 +delta_p;


zetac_p = (1-alpha_p)*(alpha_p/rk_p)^(alpha_p/(1-alpha_p));


s_p = (alpha_p/rk_p)*(delta_p);


gdp_p = (alpha_p/rk_p)^(alpha_p/(1-alpha_p))*le_p;


cc_p = (1-s_p-shareg_p)*gdp_p;


gc_p = shareg_p *gdp_p;


lambdac_p = 1/cc_p;


chi0_p = (1-le_p)^chi_p * lambdac_p * zetac_p


wmarkup_p = (((1-le_p)^(-chi_p))/lambdac_p) / zetac_p



omega = 0.8;

omegac_p = 0.88;
omegai_p = 0.88;


el = 2
rhoc = 1/(el-1);


rs_dp_p = 10;
rs_gdp_p = 0;

psik_p = 0;
psii_p = 0;


rhon_p = 0.95;
rhom_p = 0.95;
rho_shareg_p = 0.99;


nfa_p = 0.001;

lgy_ = 'cc';
lgy_ = str2mat(lgy_,'cc2');
lgy_ = str2mat(lgy_,'ccd');
lgy_ = str2mat(lgy_,'ccd2');
lgy_ = str2mat(lgy_,'ccm');
lgy_ = str2mat(lgy_,'ccm2');
lgy_ = str2mat(lgy_,'dp');
lgy_ = str2mat(lgy_,'dp2');
lgy_ = str2mat(lgy_,'dpc');
lgy_ = str2mat(lgy_,'dpc2');
lgy_ = str2mat(lgy_,'dpm');
lgy_ = str2mat(lgy_,'dpm2');
lgy_ = str2mat(lgy_,'dw');
lgy_ = str2mat(lgy_,'dw2');
lgy_ = str2mat(lgy_,'er');
lgy_ = str2mat(lgy_,'gc');
lgy_ = str2mat(lgy_,'gc2');
lgy_ = str2mat(lgy_,'gdp');
lgy_ = str2mat(lgy_,'gdp2');
lgy_ = str2mat(lgy_,'ip');
lgy_ = str2mat(lgy_,'ip2');
lgy_ = str2mat(lgy_,'ipd');
lgy_ = str2mat(lgy_,'ipd2');
lgy_ = str2mat(lgy_,'ipm');
lgy_ = str2mat(lgy_,'ipm2');
lgy_ = str2mat(lgy_,'ipy');
lgy_ = str2mat(lgy_,'kp');
lgy_ = str2mat(lgy_,'kp2');
lgy_ = str2mat(lgy_,'lambdac');
lgy_ = str2mat(lgy_,'lambdac2');
lgy_ = str2mat(lgy_,'le');
lgy_ = str2mat(lgy_,'le2');
lgy_ = str2mat(lgy_,'m');
lgy_ = str2mat(lgy_,'m2');
lgy_ = str2mat(lgy_,'n');
lgy_ = str2mat(lgy_,'n2');
lgy_ = str2mat(lgy_,'nfa');
lgy_ = str2mat(lgy_,'nfay');
lgy_ = str2mat(lgy_,'pc');
lgy_ = str2mat(lgy_,'pc2');
lgy_ = str2mat(lgy_,'pi');
lgy_ = str2mat(lgy_,'pi2');
lgy_ = str2mat(lgy_,'pm');
lgy_ = str2mat(lgy_,'pm2');
lgy_ = str2mat(lgy_,'q');
lgy_ = str2mat(lgy_,'q2');
lgy_ = str2mat(lgy_,'rer');
lgy_ = str2mat(lgy_,'rer2');
lgy_ = str2mat(lgy_,'rerpc');
lgy_ = str2mat(lgy_,'rerpc2');
lgy_ = str2mat(lgy_,'rk');
lgy_ = str2mat(lgy_,'rk2');
lgy_ = str2mat(lgy_,'rrs');
lgy_ = str2mat(lgy_,'rrs2');
lgy_ = str2mat(lgy_,'rs');
lgy_ = str2mat(lgy_,'rs2');
lgy_ = str2mat(lgy_,'shareg');
lgy_ = str2mat(lgy_,'shareg2');
lgy_ = str2mat(lgy_,'sigma');
lgy_ = str2mat(lgy_,'sigma2');
lgy_ = str2mat(lgy_,'sy');
lgy_ = str2mat(lgy_,'tby');
lgy_ = str2mat(lgy_,'tby2');
lgy_ = str2mat(lgy_,'wmarkup');
lgy_ = str2mat(lgy_,'wmarkup2');
lgy_ = str2mat(lgy_,'zeta2');
lgy_ = str2mat(lgy_,'zetac');
lgy_ = str2mat(lgy_,'zetac2');
lgy_ = str2mat(lgy_,'zetap');
lgx_ = 'merr';
lgx_ = str2mat(lgx_,'merr2');
lgx_ = str2mat(lgx_,'nerr');
lgx_ = str2mat(lgx_,'nerr2');
lgx_ = str2mat(lgx_,'sharegerr');
lgx_ = str2mat(lgx_,'sharegerr2');
lgx_orig_ord_ = [2 5 1 4 3 6];
endo_nbr = 69;
exo_nbr = 6;
exo_det_nbr = 0;
recur_nbr = 0;
iy_ = [ 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 2 3 4 5 0 0 0 0 0 6 7 0 0 0 0 8 9 ...
 10 11 12 0 13 14 0 0 15 16 0 0 17 0 0 0 0 0 0 0 0 0 18 19 0 0 0 0 0 0 0 20 ...
 0 0 21];
temp = [ 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43  ...
44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68  ...
69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90];
iy_ = [ iy_ ; temp ];
temp = [ 0 0 0 0 0 0 91 92 93 94 95 96 97 98 99 0 0 0 0 100 101 0 0 0 0 0 0 ...
 0 102 103 0 0 0 0 0 0 0 0 0 0 0 0 0 0 104 105 0 0 0 0 106 107 0 0 0 0 0 0 0 ...
 0 0 0 0 0 0 0 0 0 0];
iy_ = [ iy_ ; temp ];
ykmin_ = 1;
ykmax_ = 1;
xkmin_ = 0;
xkmax_ = 0;
zkmin_ = 0;
zkmax_ = 0;
ys_ = zeros(69,1);
exe_ = zeros(6,1);





% INITVAL 
valf_ = 0;
endval_=0;
ys_(13)=dw_p;
ys_(7)=dp_p;
ys_(9)=dp_p;
ys_(11)=dp_p;
ys_(64)=wmarkup_p;
ys_(59)=sigma_p;
ys_(37)=0;
ys_(38)=0;
ys_(49)=1;
ys_(47)=1;
ys_(15)=1;
ys_(61)=s_p;
ys_(26)=s_p;
ys_(55)=1/beta_p-1;
ys_(53)=ys_(55);
ys_(31)=le_p;
ys_(18)=gdp_p;
ys_(20)=(s_p*ys_(18));
ys_(1)=(1-s_p-shareg_p)*ys_(18);
ys_(3)=omegac_p*ys_(1);
ys_(5)=(1-omegac_p)*ys_(1);
ys_(22)=omegai_p*ys_(20);
ys_(24)=(1-omegai_p)*ys_(20);
ys_(43)=1;
ys_(39)=1;
ys_(41)=1;
ys_(27)=ys_(20)/delta_p;
ys_(51)=rk_p;
ys_(69)=zetac_p;
ys_(67)=zetac_p;
ys_(29)=1/ys_(1);
ys_(45)=1;
ys_(16)=shareg_p*ys_(18);
ys_(57)=shareg_p;
ys_(35)=0;
ys_(33)=0;
ys_(14)=dw_p;
ys_(8)=dp_p;
ys_(10)=dp_p;
ys_(12)=dp_p;
ys_(65)=wmarkup_p;
ys_(60)=sigma_p;
ys_(56)=1/beta_p-1;
ys_(54)=ys_(56);
ys_(50)=1;
ys_(48)=1;
ys_(32)=le_p;
ys_(19)=gdp_p;
ys_(21)=(s_p*ys_(18));
ys_(2)=(1-s_p-shareg_p)*ys_(18);
ys_(4)=omegac_p*ys_(2);
ys_(6)=(1-omegac_p)*ys_(2);
ys_(23)=omegai_p*ys_(21);
ys_(25)=(1-omegai_p)*ys_(21);
ys_(44)=1;
ys_(40)=1;
ys_(42)=1;
ys_(28)=ys_(20)/delta_p;
ys_(52)=(delta_p-1+1/beta_p);
ys_(68)=zetac_p;
ys_(66)=zetac_p;
ys_(30)=lambdac_p;
ys_(46)=1;
ys_(17)=shareg_p*ys_(19);
ys_(58)=shareg_p;
ys_(36)=0;
ys_(34)=0;
y_=[ys_*ones(1,ykmin_)];
if exo_nbr > 0;
  ex_=[ones(xkmin_,1)*exe_'];
end;
if exo_det_nbr > 0;
  ex_det_=[ones(ykmin_+1,1)*exe_det_'];
end;


% (M)SHOCKS 
make_ex_;
Sigma_e_ = zeros(6,6);
Sigma_e_(3,3) = (.01)^2;
Sigma_e_(1,1) = (.01)^2;
Sigma_e_(5,5) = (.01)^2;
Sigma_e_(2,2) = (.01)^2;
Sigma_e_(4,4) = (.01)^2;
Sigma_e_(6,6) = (.01)^2;
M_.ex_det_length = 0;


check;


options_.order=1;
options_.nocorr=1;
options_.nomoments=1;
options_.irf=0;
var_list_ = [];
info=stoch_simul(var_list_);



save('stickyopeninv2_results','oo_','dr_');
diary off
